This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 783507 - [eap6] provide way to enable DomainDeployments
[eap6] provide way to enable DomainDeployments
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Usability (Show other bugs)
3.0.1
Unspecified Unspecified
high Severity low (vote)
: ---
: ---
Assigned To: Libor Zoubek
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-01-20 11:54 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-01-20 11:54:42 EST
Description of problem: Currently on latest RHQ there is now way I am aware of how to enable DomainDeployments deployed to server group. User has an option to deploy to server group and let the deployment disabled, this means we need an option to enable disabled deployments.


Version-Release number of selected component (if applicable):
Version: 4.3.0-SNAPSHOT
Build Number: 7a155ea

How reproducible:always


Steps to Reproduce:
1.create a DomainDeployment (can be WAR) under EAP6 DR8 DomainController
2.go to the deployment and run 'Deploy to Server-Group'operation
2.select 'No' to disable the deployment in server group
4. ?
  
Actual results: Deployment is deployed on server group and not enabled (it is not distributed to managed instances). That is completely correct, but there is no way how to enable it, just delete & deploy again.


Expected results: Either there is an option to enable deployments on server group or we should not let the user chose 'Should the deployment be enabled on the server group?'.


Additional info:
Comment 1 Heiko W. Rupp 2012-01-24 16:13:14 EST
c862b9c in master adds operations to enable/disable

Availability of those deployments follows the following rule:

Is the deployment there?
  No-> return Down

is the attribute "enabled" true?
  return up
else
  return down
Comment 2 Mike Foley 2012-02-07 14:31:50 EST
marking VERIFIED BZs to CLOSED/CURRENTRELEASE
Comment 3 Mike Foley 2012-02-07 14:31:52 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.